title: "Subject"
type: "object"
properties:
  name:
    $ref: "../../../structs.json#/definitions/Name"
    required:
      - first
      - last
  demographics:
    $ref: "../../../structs.json#/definitions/Demographics"
    required:
      - dob
      - sex
  contact_info:
    type: array
    title: Contact Info
    minItems: 1
    maxItems: 1
    items:
      $ref: "../../../structs.json#/definitions/ContactInfo"
      required:
        - phone
        - address
        - email
  ancestry:
    type: array
    title: Ancestry
    items:
      type: string
    uniqueItems: true
required:
  - name
  - demographics
